#!/bin/sh
TVNAME="TVHeadend Server"

. /etc/sysconfig
export PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"

start_tvheadend ()
{
#/usr/local/bin/oscam -c /usr/local/etc -b
/usr/bin/tvheadend -C &
while [ 1 ]
do
    pidof tvheadend 2 > /dev/null 
    if [ $? -eq 0 ] ; then
          echo "" >> /dev/null
    else
	  /usr/bin/tvheadend -C & 
    fi
sleep 2
done
}
stop_tvheadend ()
{
killall -9 tvheadend
killall -9 oscam
echo "SCRIPT : $TVNAME got stopped"
killall -9  tvheadend.sh
echo "SCRIPT : tvheadend script stopped"
}
case "$1" in
start)
echo "[SCRIPT] $1: $TVNAME"
start_tvheadend &
;;
stop)
echo "[SCRIPT] $1: $TVNAME"
stop_tvheadend
;;
restart)
echo "Restaring $TVNAME"
stop_tvheadend
sleep 1
start_tvheadend &
;;
*)
"$0" stop
exit 1
;;
esac
exit 0

